<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLContainersEdgeBase&lt; idType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classTIGLContainersEdgeBase-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLContainersEdgeBase&lt; idType &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__data__structures.html">Data Structures</a> &#124; <a class="el" href="group__core.html">Core Classes</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Core edge class.  
 <a href="classTIGLContainersEdgeBase.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglContainersEdgeBase_8hpp_source.html">tiglContainersEdgeBase.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for TIGLContainersEdgeBase&lt; idType &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classTIGLContainersEdgeBase.png" usemap="#TIGLContainersEdgeBase&lt; idType &gt;_map" alt=""/>
  <map id="TIGLContainersEdgeBase&lt; idType &gt;_map" name="TIGLContainersEdgeBase&lt; idType &gt;_map">
<area href="classTIGLContainersEdge2Sided.html" title="Core edge class with information about the two sides. " alt="TIGLContainersEdge2Sided&lt; idType &gt;" shape="rect" coords="0,56,380,80"/>
<area href="classTIGLContainersEdgeW.html" title="Weighted edge class. " alt="TIGLContainersEdgeW&lt; idType, dataType &gt;" shape="rect" coords="390,56,770,80"/>
<area href="classTIGLContainersComputeEdge.html" title="Compute edge class. " alt="TIGLContainersComputeEdge&lt; idType, dataType, algDataType &gt;" shape="rect" coords="195,112,575,136"/>
<area href="classTIGLContainersEdgeW2Sided.html" title="Weighted edge class with information about the two sides. " alt="TIGLContainersEdgeW2Sided&lt; idType, dataType &gt;" shape="rect" coords="585,112,965,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a66709a50757848d82d194ddcdf5444be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66709a50757848d82d194ddcdf5444be"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersEdgeBase.html#a66709a50757848d82d194ddcdf5444be">getNbr</a> ()</td></tr>
<tr class="memdesc:a66709a50757848d82d194ddcdf5444be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the id of the neighbor node. <br /></td></tr>
<tr class="separator:a66709a50757848d82d194ddcdf5444be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad02b39c0ba994a909fe81abdceb56d8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad02b39c0ba994a909fe81abdceb56d8d"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersEdgeBase.html#ad02b39c0ba994a909fe81abdceb56d8d">setNbr</a> ()</td></tr>
<tr class="memdesc:ad02b39c0ba994a909fe81abdceb56d8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the id of the neighbor node. <br /></td></tr>
<tr class="separator:ad02b39c0ba994a909fe81abdceb56d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedda004d8f8b47ffddbf2ce621483687"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedda004d8f8b47ffddbf2ce621483687"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersEdgeBase.html#aedda004d8f8b47ffddbf2ce621483687">operator&lt;</a> (<a class="el" href="classTIGLContainersEdgeBase.html">TIGLContainersEdgeBase</a>&lt; idType &gt; &amp;rhs)</td></tr>
<tr class="memdesc:aedda004d8f8b47ffddbf2ce621483687"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operator definition for edge list comparisons. <br /></td></tr>
<tr class="separator:aedda004d8f8b47ffddbf2ce621483687"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a577500a73b8bca9593f725bb1b0986e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a577500a73b8bca9593f725bb1b0986e7"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersEdgeBase.html#a577500a73b8bca9593f725bb1b0986e7">hasVal</a> ()</td></tr>
<tr class="memdesc:a577500a73b8bca9593f725bb1b0986e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if the edge is weighted. <br /></td></tr>
<tr class="separator:a577500a73b8bca9593f725bb1b0986e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a655d339702492c5f16db4c9cbd7bc2f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a655d339702492c5f16db4c9cbd7bc2f8"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersEdgeBase.html#a655d339702492c5f16db4c9cbd7bc2f8">node</a></td></tr>
<tr class="memdesc:a655d339702492c5f16db4c9cbd7bc2f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">the ID of the target/src vertex <br /></td></tr>
<tr class="separator:a655d339702492c5f16db4c9cbd7bc2f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename idType = uint_fast32_t&gt;<br />
class TIGLContainersEdgeBase&lt; idType &gt;</h3>

<p>Core edge class. </p>
<p>It has primitive edge information only target This edge class is always associated with the vertex object of either side of the edge </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="tiglContainersEdgeBase_8hpp_source.html">tiglContainersEdgeBase.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:58 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
